Bug 7577 - Suggestion show page
Summary: Suggestion show page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 5346
Blocks: 8152
  Show dependency treegraph
 
Reported: 2012-02-22 14:35 UTC by Jonathan Druart
Modified: 2013-12-05 19:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7577 Adds a display page for suggestions (16.92 KB, patch)
2012-02-22 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7577 Adds a display page for suggestions (16.86 KB, patch)
2012-02-22 16:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7577: Adds a display page for suggestions (16.96 KB, patch)
2012-03-09 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-02-22 14:35:48 UTC
We would like to have a page where we could display a suggestion.
Comment 1 Jonathan Druart 2012-02-22 14:39:49 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-02-22 15:30:17 UTC
There are some HTML markup issues with the template for suggestion.pl:

Because the validator doesn't like when you use a <label> without an input, there is an alternative for displaying information which isn't in a form: <span class="label">. Using that will give you the same visual style and keep the validator happy.

I would probably make display of each of those lines conditional on the existence of the data:

        [% IF ( total ) %]<li>
          <span class="label">Total</span>[% total %]
        </li>[% END %]

...but others might disagree. I'm not sure when the absence of data is important data.

There's also a problem with the conditional display of the page's structural markup. There is a superfluous section at the bottom of the page source:

<div id="doc3" class="yui-t2">
<div id="bd">
    <div id="yui-main">
    <div class="yui-b">
Comment 3 Jonathan Druart 2012-02-22 16:48:53 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-03-09 17:04:05 UTC
Created attachment 8125 [details] [review]
[SIGNED-OFF] Bug 7577: Adds a display page for suggestions

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Ian Walls 2012-03-09 17:39:27 UTC
Largely a template change; the changes to suggestions.pl are only insofar as to add support for the 'show' op, and clean up some of the foreach statements.

Marking Passed QA